package com.moyoung.moyoung_ble_plugin;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import androidx.annotation.NonNull;

import io.flutter.embedding.engine.FlutterEngineCache;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.PluginRegistry;

public class MyPhoneCallReceiver implements MethodChannel.MethodCallHandler {
    private static final String CHANNEL_NAME = "my_phone_call_channel";

    private Context mContext;
    private MethodChannel mChannel;

    public MyPhoneCallReceiver(Context context) {
        mContext = context;
        mChannel = new MethodChannel(FlutterEngineCache.getInstance().get("my_engine").getDartExecutor(), CHANNEL_NAME);
        mChannel.setMethodCallHandler(this);
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull MethodChannel.Result result) {
        if (call.method.equals("sendPhoneCallNumber")) {
            String phoneNumber = call.argument("phoneNumber");
            // 发送电话号码给 Flutter 端
            mChannel.invokeMethod("onPhoneCallNumber", phoneNumber);
            result.success(null);
        } else {
            result.notImplemented();
        }
    }

    public void handleIntent(String phoneNumber) {
        // 发送电话号码给 Flutter 端
        mChannel.invokeMethod("onPhoneCallNumber", phoneNumber);
    }

}
